gr::gsm::clock_offset_control_impl Class Reference

`#include <clock_offset_control_impl.h>`

Inheritance diagram for gr::gsm::clock_offset_control_impl:

## Public Member Functions

| clock_offset_control_impl (float fc, float samp_rate, unsigned int osr)
| ~clock_offset_control_impl ()
virtual void | set_fc (float fc)
virtual void | set_samp_rate (float samp_rate)
virtual void | set_osr (unsigned int osr)

## Additional Inherited Members

Public Types inherited from gr::gsm::clock_offset_control
typedef std::shared_ptr< clock_offset_control > | sptr
Static Public Member Functions inherited from gr::gsm::clock_offset_control
static sptr | make (float fc, float samp_rate, unsigned int osr=4)
| Return a shared_ptr to a new instance of gsm::clock_offset_control.

## Constructor & Destructor Documentation

## clock_offset_control_impl()

gr::gsm::clock_offset_control_impl::clock_offset_control_impl | ( | float | fc,
|  | float | samp_rate,
|  | unsigned int | osr )

## ~clock_offset_control_impl()

gr::gsm::clock_offset_control_impl::~clock_offset_control_impl | ( |  | ) |

## Member Function Documentation

## set_fc()

virtual void gr::gsm::clock_offset_control_impl::set_fc | ( | float | fc | ) |

virtual

Implements gr::gsm::clock_offset_control.

## set_osr()

virtual void gr::gsm::clock_offset_control_impl::set_osr | ( | unsigned int | osr | ) |

virtual

Implements gr::gsm::clock_offset_control.

## set_samp_rate()

virtual void gr::gsm::clock_offset_control_impl::set_samp_rate | ( | float | samp_rate | ) |

virtual

Implements gr::gsm::clock_offset_control.

The documentation for this class was generated from the following file:

- clock_offset_control_impl.h